Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Trader_Constraint_Evaluator Class Reference

`#include <Trader_Constraint_Visitors.h>`

Inheritance diagram for TAO_Trader_Constraint_Evaluator:

[legend]
Collaboration diagram for TAO_Trader_Constraint_Evaluator:

[legend]
List of all members.

## Public Methods
| TAO_Trader_Constraint_Evaluator (CosTrading::Offer *offer, CORBA::Boolean supports_dynamic_properties=1)
| Constructor.
virtual int | visit_property (TAO_Property_Constraint *literal)
| Copy the value of the property into the result container.
## Private Attributes
TAO_Property_Evaluator | prop_eval_

## Constructor & Destructor Documentation

TAO_Trader_Constraint_Evaluator::TAO_Trader_Constraint_Evaluator | ( | CosTrading::Offer * | offer,
|  | CORBA::Boolean | supports_dynamic_properties = 1
| ) |

| Constructor.

## Member Function Documentation

int TAO_Trader_Constraint_Evaluator::visit_property | ( | TAO_Property_Constraint * | literal | ) | `[virtual]`

| Copy the value of the property into the result container. Reimplemented from TAO_Constraint_Evaluator.

## Member Data Documentation

TAO_Property_Evaluator TAO_Trader_Constraint_Evaluator::prop_eval_`[private]`

| Utility with which to evaluate the properties of an offer, be they dyanmic or static.

The documentation for this class was generated from the following files:

- Trader_Constraint_Visitors.h
- Trader_Constraint_Visitors.cpp